package ui.controller;


public class SingletonControl {
	  private Control control;
	  private static final class InstanceHolder {
	    static final SingletonControl INSTANCE = new SingletonControl();
	  }
	  private SingletonControl () {}
	  public static SingletonControl getInstance () {
	    return InstanceHolder.INSTANCE;
	  }
	  public Control getControl()
	  {
		return control;
	  }
	  public void setControl(Control control)
	  {
		this.control = control;
	  }
}
